Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.WatermarkTextProperties Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | WatermarkTextProperties ()
| Constructor.
def | WatermarkTextProperties (properties)
| Constructor, with another watermark text properties object. More...
def | Set (font, font_size, color, style, line_space, alignment)
| Set value. More...

## Static Public Attributes
| alignment = _fsdk.WatermarkTextProperties_alignment
| Text horizontal alignment. The default value is FoxitPDFSDKPython3.e_AlignmentLeft . More...
| color = _fsdk.WatermarkTextProperties_color
| Text color. Format: 0xRRGGBB. The default value is 0x000000.
| e_FontStyleNormal = _fsdk.WatermarkTextProperties_e_FontStyleNormal
| Watermark font style: normal.
| e_FontStyleUnderline = _fsdk.WatermarkTextProperties_e_FontStyleUnderline
| Watermark font style: with underline.
| font = _fsdk.WatermarkTextProperties_font
| A font object used for the text.
| font_size = _fsdk.WatermarkTextProperties_font_size
| Font size in points. The default value is 24.0.
| font_style = _fsdk.WatermarkTextProperties_font_style
| Font style.The default value is FoxitPDFSDKPython3.WatermarkTextProperties.e_FontStyleNormal . More...
| line_space = _fsdk.WatermarkTextProperties_line_space
| Space between vertical center of lines, in line heights. The default value is 1.0. More...

## Detailed Description

This class represents the watermark text settings used to construct a watermark object from text.

## Constructor & Destructor Documentation

## ◆ WatermarkTextProperties()

def FoxitPDFSDKPython3.WatermarkTextProperties.WatermarkTextProperties | ( |  | properties | ) |

Constructor, with another watermark text properties object.

Parameters

  [in] | properties | Another watermark text properties object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.WatermarkTextProperties.Set | ( |  | font,
|  |  | font_size,
|  |  | color,
|  |  | style,
|  |  | line_space,
|  |  | alignment
| ) |  |

Set value.

The parameters line_space and alignment don't support tiled watermark, and will have no effect after setting.

Parameters

  [in] | font | A valid font object used for the text.
  [in] | font_size | Font size in points.
  [in] | color | Text color. Format: 0xRRGGBB.
  [in] | style | Font style. It should be one of the following values: FoxitPDFSDKPython3.WatermarkTextProperties.e_FontStyleNormal FoxitPDFSDKPython3.WatermarkTextProperties.e_FontStyleUnderline
  [in] | line_space | Space between vertical center of lines, in line heights. This value specifies the multiple of line heights for the space between vertical center of lines. Valid range: from 0 to 10 (not including 0 but including 10). If this value is above 10, 10 will be used as default for the text watermark.
  [in] | alignment | Text horizontal alignment. It should be one of the following values: FoxitPDFSDKPython3.e_AlignmentLeft FoxitPDFSDKPython3.e_AlignmentCenter FoxitPDFSDKPython3.e_AlignmentRight

Returns
  None.

## Member Data Documentation

## ◆ alignment

FoxitPDFSDKPython3.WatermarkTextProperties.alignment = _fsdk.WatermarkTextProperties_alignment
| static

Text horizontal alignment. The default value is FoxitPDFSDKPython3.e_AlignmentLeft .

It should be one of the following macro definitions:

- FoxitPDFSDKPython3.e_AlignmentLeft
- FoxitPDFSDKPython3.e_AlignmentCenter
- FoxitPDFSDKPython3.e_AlignmentRight

## ◆ font_style

FoxitPDFSDKPython3.WatermarkTextProperties.font_style = _fsdk.WatermarkTextProperties_font_style
| static

Font style.The default value is FoxitPDFSDKPython3.WatermarkTextProperties.e_FontStyleNormal .

It should be one of the following values:

- FoxitPDFSDKPython3.WatermarkTextProperties.e_FontStyleNormal
- FoxitPDFSDKPython3.WatermarkTextProperties.e_FontStyleUnderline

## ◆ line_space

FoxitPDFSDKPython3.WatermarkTextProperties.line_space = _fsdk.WatermarkTextProperties_line_space
| static

Space between vertical center of lines, in line heights. The default value is 1.0.

This value is used to specify the multiple of line heights for the space between vertical center of lines. Valid range: from 0 to 10 (not including 0 but including 10). If this value is above 10, 10 will be used as default for the text watermark.